Subject: Add validation to the PropertyMapper
Description

Add validation functionality to the Property Mapper.

First we need a way to set the validator - a method like setValidator() should be added to the property mapper.
If no validator was set but map() was called, the Property Mapper should try to find one by asking the
T3_Framework_Validation_ValidatorResolver (see #70). If none was found, no validation is done.

While mapping we should probably validate each property before setting it in the target object. An open question is if it makes sense
to validate the whole target object after mapping.

Validation Errors should be added to the Mapping Results.

Associated revisions
Revision 4cfded2e - 2008-05-11 13:00 - Andreas Förthner

PropertyMapper and Validation is now implemented. This fixes #66, #69 Additionally the Controller Arguments are passed through the validation
framework.

History
#1 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-05-11 13:01 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r837.

#3 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)
